New UI theme publishing problem


#1

When ever I try to publish my ui theme, I get this error:

stevencopeland@stevencopeland-Satellite-Radius-P55W-B:~/github/codecademy-editor-theme-ui$ apm publish minor
Registering codecademy-editor-theme-ui ✗
Registering package in StevenCopeland/codecademy-editor-theme-ui repository failed: A package by that name already exists

I have searched for that theme but no such theme exists.

Does anyone know why this is happening?

Thanks,

Steven Copeland


#2

Mind sharing your package.json?


#3

Sure!

{
  "name": "codecademy-editor-theme-ui",
  "theme": "ui",
  "version": "0.3.0",
  "description": "A ui theme for the codecademy-editor-syntax theme",
  "keywords": [
    "ui",
    "theme",
    "Codecademy"
  ],
  "repository": "https://github.com/StevenCopeland/codecademy-editor-theme-ui",
  "license": "MIT",
  "engines": {
    "atom": ">=1.0.0 <2.0.0"
  }
}

It is working now, but I didn’t change anything for it to work!


#4

Weird. Well, good that it’s going now.


#5

I’ll ping this topic if it happens again…